Update a venue

​

Partial update: only the fields sent change.

Path Parameters

  • Venue id.

Body·

required
application/json

Any subset of writable fields. At least one is required. Unknown or read-only fields are rejected.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for patch/venues/{id}
curl https://api.hireorpheus.com/api/v1/venues/123e4567-e89b-12d3-a456-426614174000 \
  --request PATCH \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": null,
  "street_1": null,
  "street_2": null,
  "city": null,
  "state_region": null,
  "postal_code": null,
  "country": null,
  "website": null,
  "phone": null,
  "load_in_notes": null,
  "parking_notes": null,
  "electrical_notes": null,
  "elevator_notes": null,
  "notes": null
}'
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": null,
    "street_1": null,
    "street_2": null,
    "city": null,
    "state_region": null,
    "postal_code": null,
    "country": null,
    "website": null,
    "phone": null,
    "load_in_notes": null,
    "parking_notes": null,
    "electrical_notes": null,
    "elevator_notes": null,
    "notes": null,
    "created_time": "2026-10-14T08:02:53.592Z",
    "last_edited_time": "2026-10-14T08:02:53.592Z"
  }
}